TAU_JAVA(1)

NAME
tau_java - Instruments java applications at runtime using JVMTI

SYNOPSIS

tau_java [options] javaprogram
       [args]

OPTIONS

-help
    Displays help information.

-verbose
    Report the arguments of the script before it runs.

-tau:agentlib=<agentlib>
    By default tau_java uses the most recently configured jdk, you can specify a different one here.

-tau:java=<javapath>
    Path to a java binary, by default uses the one corresponding to the most recently configured jdk.

-tau:bootclasspath= <bootclasspath>
    To modify the bootclasspath to point to a different jar, not usually necessary.

-tau:include=<item>
    Only instrument these methods or classes. Separate multiple classes and methods with semicolons

-tau:exclude=<item>
    Exclude the listed classes and methods. Separate multiple classes and methods with semicolons

args
    the command line arguments of the java application.